let add;
if (args.opposedTest?.attackerTest?.weapon?.isRanged && args.opposedTest?.result.hitloc?.value === "head") {
    add = await foundry.applications.api.DialogV2.confirm({window : {title : this.effect.name}, content : "Ajouter 1 PA ? Le Bascinet fournit 4 PA au lieu de 3 contre les attaques à distance de face"})
}

if (add) {

    args.modifiers.ap.metal++;
    args.modifiers.ap.used++;
    args.modifiers.ap.value++;
    args.modifiers.ap.details.push("+1 PA contre les attaques à distance de face");
}